nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   nvidia kernel build error 6111 (http://www.nvnews.net/vbulletin/showthread.php?t=36001)

webjvb 09-01-04 03:56 PM

nvidia kernel build error 6111
 
Mandrake 10.1 cooker
kernel 2.6.8.1-5
kernel source installed

i just tried to build the modul on this kernel, on kernel 2.6.8.rc2 -2 were no probs, but on the new kernel
i became the following message

Code:

NVIDIA: calling KBUILD...
  make -C /lib/modules/2.6.8.1-5mdk/build      \
  KBUILD_SRC=/usr/src/linux-2.6.8.1-5mdk        KBUILD_VERBOSE=1  \
  KBUILD_CHECK= KBUILD_EXTMOD="/root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-
  pkg1/usr/src/nv"  \
          -f /usr/src/linux-2.6.8.1-5mdk/Makefile modules
  mkdir -p /root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv/.tmp
  _versions
  make -f /usr/src/linux-2.6.8.1-5mdk/scripts/Makefile.build obj=/root/tmp/sel
  fgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv
  echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -n 1`\" > /root/tmp/selfgz539
  7/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv/nv_compiler.h
    cc -Wp,-MD,/root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv/
  .nv.o.d -nostdinc -iwithprefix include -D__KERNEL__ -Iinclude -Iinclude2 -I/
  usr/src/linux-2.6.8.1-5mdk/include  -I/root/tmp/selfgz5397/NVIDIA-Linux-x86-
  1.0-6111-pkg1/usr/src/nv -Wall -Wstrict-prototypes -Wno-trigraphs -fno-stric
  t-aliasing -fno-common -pipe -msoft-float -mpreferred-stack-boundary=2 -fno-
  unit-at-a-time -march=i586 -I/usr/src/linux-2.6.8.1-5mdk/include/asm-i386/ma
  ch-default -Iinclude/asm-i386/mach-default -O2 -Wdeclaration-after-statement
    -I/root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv -Wall -Wim
  plicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpoi
  nter-arith -Wno-multichar -Werror -O -fno-common -MD -Wno-cast-qual -Wno-err
  or -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNTRM -D_GNU_SOURCE -D_LOOSE
  _KERNEL_NAMES -D__KERNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=
  0 -DNV_PATCHLEVEL=6111 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -UDEBU
  G -U_DEBUG -DNDEBUG -DNV_CHANGE_PAGE_ATTR_PRESENT -DNV_CLASS_SIMPL
  E_PRESENT -DMODULE -DKBUILD_BASENAME=nv -DKBUILD_MODNAME=nvidia -c -o /root/
  tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv/nv.o /root/tmp/self
  gz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv/nv.c
  In file included from include/linux/list.h:7,
                    from include/linux/wait.h:14,
                    from include/asm/semaphore.h:41,
                    from include/linux/sched.h:18,
                    from include/linux/module.h:10,
                    from /root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/us
  r/src/nv/nv-linux.h:52,
                    from /root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/us
  r/src/nv/nv.c:14:
  include/linux/prefetch.h: In function `prefetch_range':
  include/linux/prefetch.h:62: warning: pointer of type `void *' used in arith
  metic
  /root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv/nv.c: In func
  tion `nv_acpi_event':
  /root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv/nv.c:3697: er
  ror: `PM_SAVE_STATE' undeclared (first use in this function)
  /root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv/nv.c:3697: er
  ror: (Each undeclared identifier is reported only once
  /root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv/nv.c:3697: er
  ror: for each function it appears in.)
  make[4]: *** [/root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/usr/src/nv
  /nv.o] Fehler 1
  make[3]: *** [_module_/root/tmp/selfgz5397/NVIDIA-Linux-x86-1.0-6111-pkg1/us
  r/src/nv] Fehler 2
  make[2]: *** [modules] Fehler 2
  NVIDIA: left KBUILD.
  nvidia.ko failed to build!
  make[1]: *** [module] Fehler 1
  make: *** [module] Fehler 2
-> Error.
ERROR: Unable to build the NVIDIA kernel module.

what could i do to compile the driver on this kernel?

Archie Steel 09-10-04 04:09 PM

Re: nvidia kernel build error 6111
 
Quote:

Originally Posted by webjvb
Mandrake 10.1 cooker
kernel 2.6.8.1-5
kernel source installed

i just tried to build the modul on this kernel, on kernel 2.6.8.rc2 -2 were no probs, but on the new kernel
i became the following message

what could i do to compile the driver on this kernel?

I have the same problem...this is quite annoying, as I had no problems building with 2.6.8 release candidates from Mandrake...

bilmc 09-10-04 05:49 PM

Re: nvidia kernel build error 6111
 
Quote:

make -C /lib/modules/2.6.8.1-8mdksmp/build
i also have this problem "The rivafb driver conflicts with the NVIDIA driver; the
NVIDIA kernel module will still be built and installed,
but be aware that the NVIDIA driver will not be able to
function properly if the rivafb module is loaded!"
any help with a workround would be good

zander 09-11-04 03:18 AM

Re: nvidia kernel build error 6111
 
Please read the warning message more carefully, the potential problem it hints at can't occur until the NVIDIA kernel module is built, installed and an attempt is made to load it. The problem here is that 1.0-6111 fails to build against recent Linux 2.6 kernels; this problem can be solved by replacing PM_SAVE_STATE with PM_SUSPEND_MEM in usr/src/nv/nv.c.

bilmc 09-12-04 06:41 PM

Re: nvidia kernel build error 6111
 
thanks that worked for me
Bill


All times are GMT -5. The time now is 09:45 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.